=== debian/changelog ===
sp-smaps (0.1.8) unstable; urgency=low

  * Fixed incorrectly named reference to another manual page in
    sp_smaps_filter and a spelling issue in sp_smaps_analyze
    documentation. Fixes: NB#86493

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 28 Jul 2008 15:10:56 +0300

sp-smaps (0.1.7) unstable; urgency=low

  * Removed an obsolete script from the package.
  * sp_smaps_snapshot manual page cleanup.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 18 Jun 2008 16:56:10 +0300

sp-smaps (0.1.6) unstable; urgency=low

  * Running sp_smaps_snapshot as a root from serial console caused a
    reboot due to automatic usage of realtime scheduling and elevated
    priority.  This behavior is now optional (-r switch) rather than
    default. Fixes: NB#86016

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  3 Jun 2008 13:56:45 +0300

sp-smaps (0.1.5) unstable; urgency=low

  * sp_smaps_analyze.py: Licencing information inconsistencies fixed.
    Fixes: NB#73435
  * sp_smaps_snapshot.c: Avoid calling basename with /proc/PID/cmdline
    strings that might confuse it
  * Fixes: NB#73438

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  7 Nov 2007 17:34:51 +0200

sp-smaps (0.1.4) unstable; urgency=low

  * Not all changed files were commited while making the previous
    release. Fixing that now.
  * Fixes: NB#59897

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 29 Aug 2007 15:40:50 +0300

sp-smaps (0.1.3) unstable; urgency=low

  * Checked/fixed licensing information and documentation.
  * Fixes: NB#59897

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 29 Aug 2007 15:39:53 +0300

sp-smaps (0.1.2) unstable; urgency=low

  * new postprocessor sp_smaps_filter
  * old python filters retained for compatibility

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 18 Jan 2007 16:11:01 +0200

sp-smaps (0.1.1) unstable; urgency=low

  * Code cleanup & help fixes
  * Source package name change to reflect actual contents

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 10 Apr 2006 14:52:54 +0300

sp-smaps-visualize (0.1.0) unstable; urgency=low
  * The sp_smaps_snapshot tool now interleaves smaps data with data from
    /proc/pid/status and /proc/pid/cmdline. This allows better handling
    of launchers and multimode binaries like busybox.
  * Use of 'head /proc/[1-9]*/smaps > foo.cap' discouraged as it misses
    the extra information provided by sp_smaps_snapshot. The format is
    still tolerated for handling old capture files.
  * New versions of smaps kernels use [heap] and [stack] type filenames
    for smaps output. These are utilized to obtain more fine grained
    type information.
  * The postprocessing scripts are now implemented as one multimode
    python script. This allows users to skip normalization step as
    all analysis tools can grok raw smaps data.
  * The sp_smaps_analyze now writes out also process hierarchy tree to
    make it easier to find processes of interest. Duplicate label rows
    added to long application and library listings.
  * New tool sp_smaps_appvals can be used to obtain essential memory
    figures from all applications in a capture file.
  * The sp_smaps_diff tool can output either csv or html format.  

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri,  7 Apr 2006 17:59:23 +0300

sp-smaps-visualize (0.0.6) unstable; urgency=low

  * sync to /proc/pid/smaps output changes
  * merged earlier COW changes by Ville Medeiros

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 28 Feb 2006 13:44:37 +0200

sp-smaps-visualize (0.0.5) unstable; urgency=low

  * sp_smaps_diff: 
    - typo fix in --level handling
    - added --min-rank option for output filtering


 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 12 Sep 2005 13:21:20 +0300

sp-smaps-visualize (0.0.4) unstable; urgency=low

  * sp_smaps_diff: shows differences between normalized smaps snapshots

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon, 12 Sep 2005 11:51:17 +0300

sp-smaps-visualize (0.0.3) unstable; urgency=low

  * sp_smaps_snapshot now implemented in C

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri,  9 Sep 2005 13:22:12 +0300

sp-smaps-visualize (0.0.2) unstable; urgency=low

  * Fixed: sp_smaps_analyze output directory

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  7 Jul 2005 19:16:06 +0300

sp-smaps-visualize (0.0.1) unstable; urgency=low

  * Initial release.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  7 Jul 2005 18:55:44 +0300
