## sp-smaps 0.2.2+0m5

=== Makefile ===
--- 
+++ 
@@ -5,28 +5,30 @@
 # Contact: Eero Tamminen <eero.tamminen@nokia.com>
 #
 # This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License 
-# version 2 as published by the Free Software Foundation. 
+# modify it under the terms of the GNU General Public License
+# version 2 as published by the Free Software Foundation.
 #
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 # 02110-1301 USA
 
-
 # =============================================================================
 # File: Makefile
-# 
+#
 # Author: Simo Piiroinen
-# 
+#
 # -----------------------------------------------------------------------------
 #
 # History:
+#
+# 25-Feb-2009 Simo Piiroinen
+# - fixed changelog source list
 #
 # 18-Jan-2007 Simo Piiroinen
 # - sp_smaps_filter added to package
@@ -88,7 +90,7 @@
 # -----------------------------------------------------------------------------
 # Measurement Package Files
 # -----------------------------------------------------------------------------
- 
+
 BIN_MEASURE += sp_smaps_snapshot
 
 MAN_MEASURE += $(patsubst %,%.1.gz,$(BIN_MEASURE))
@@ -98,17 +100,18 @@
 # -----------------------------------------------------------------------------
 # Normalization Package Files
 # -----------------------------------------------------------------------------
- 
+
 # -----------------------------------------------------------------------------
 # Visualization Package Files
 # -----------------------------------------------------------------------------
- 
+
 ## QUARANTINE BIN_VISUALIZE += sp_smaps_normalize
 ## QUARANTINE BIN_VISUALIZE += sp_smaps_analyze
 ## QUARANTINE BIN_VISUALIZE += sp_smaps_diff
 
-BIN_VISUALIZE += sp_smaps_analyze
-
+BIN_VISUALIZE += sp_smaps_filter
+
+LNK_VISUALIZE += sp_smaps_analyze
 LNK_VISUALIZE += sp_smaps_flatten
 LNK_VISUALIZE += sp_smaps_normalize
 LNK_VISUALIZE += sp_smaps_appvals
@@ -116,7 +119,6 @@
 
 MAN_VISUALIZE += $(patsubst %,%.1.gz,$(BIN_VISUALIZE))
 MAN_VISUALIZE += $(patsubst %,%.1.gz,$(DLL_VISUALIZE))
-MAN_VISUALIZE += $(patsubst %,%.1.gz,$(LNK_VISUALIZE))
 
 ALL_VISUALIZE += $(DLL_VISUALIZE) $(BIN_VISUALIZE) $(MAN_VISUALIZE)
 ALL_VISUALIZE += $(LNK_VISUALIZE)
@@ -157,7 +159,7 @@
 	tree $(ROOT)
 
 changelog:
-	sp_gen_changelog >$@ *.c *.py *.sh Makefile
+	sp_gen_changelog >$@ *.c *.py Makefile
 
 # -----------------------------------------------------------------------------
 # Installation Macros & Rules
@@ -172,7 +174,7 @@
 install-%-man::
 	$(call INSTALL_DIR,$^,$(ROOT)$(MAN1))
 	$(call INSTALL_MAN,$^,$(ROOT)$(MAN1))
-	
+
 install-%-bin::
 	$(call INSTALL_DIR,$^,$(ROOT)$(BIN))
 	$(call INSTALL_BIN,$^,$(ROOT)$(BIN))
@@ -203,7 +205,7 @@
 	gzip -9 -c <$< >$@
 %.1    : %
 	sp_gen_manfile -c ./$< -o $@
-	
+
 # updating static libraries
 lib%.a :
 	$(AR) ru $@ $^
@@ -240,13 +242,11 @@
 sp_smaps_snapshot : LDLIBS += -lsysperf
 sp_smaps_snapshot : sp_smaps_snapshot.o
 
-$(addprefix $(ROOT)$(BIN)/,$(LNK_VISUALIZE)): sp_smaps_analyze
-	$(RM) $@
-	ln -s $< $@
-
-$(LNK_VISUALIZE): sp_smaps_analyze
-	$(RM) $@
-	ln -s $< $@
+$(addprefix $(ROOT)$(BIN)/,$(LNK_VISUALIZE)): sp_smaps_filter
+	ln -fs $< $@
+
+$(LNK_VISUALIZE): sp_smaps_filter
+	ln -fs $< $@
 
 # -----------------------------------------------------------------------------
 # Dependency Scanning
@@ -265,5 +265,3 @@
 
 sp_smaps_filter : LDLIBS += -lsysperf -lm
 sp_smaps_filter : sp_smaps_filter.o symtab.o
-
-## QUARANTINE build:: sp_smaps_filter
