=== debian/changelog ===
sp-smaps (0.2.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Thu, 20 Aug 2009 15:45:31 +0300

sp-smaps (0.2.2) unstable; urgency=low

  * Added support of the new smaps fields - pss, swap, referenced.
  * Fixes: NB#124861

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Thu, 20 Aug 2009 14:35:22 +0300

sp-smaps (0.2.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 26 Jun 2009 12:11:24 +0300

sp-smaps (0.2.1) unstable; urgency=low

  * Ignore & give a warning for smaps entries that do not match "==>
    /proc/[0-9]+/smaps <==", instead of dying in assert. This fixes
    cases where we have "==> /proc/self/smaps <==". Fixes: NB#124672
  * Dont try to remove threads from old style capture files.


 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 26 Jun 2009 12:04:48 +0200

sp-smaps (0.2.0) unstable; urgency=low

  * Switch to sp_smaps_filter written in C. Fixes: NB#103757

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 11 May 2009 16:50:57 +0200
