=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 
 #----------------------------------------------------------------
 # debian cleanup
